Page MenuHomePhabricator

Contributor gets count of tagged contributions
Closed, ResolvedPublic

Description

"As a Contributor, I want to get the count of contributions that I've made with a given tag, to measure my participation in a project."

Add a tag parameter to the endpoint defined in T251805 to count only the contributions with the given tag.

Done Criteria

  • Write a test that tag filtering applies to the count endpoint

Event Timeline

WDoranWMF updated the task description. (Show Details)Jun 23 2020, 6:28 PM
WDoranWMF moved this task from Next Sprint to Ready on the Platform Team Workboards (Green) board.

Change 607776 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] WIP: REST /me/contributions/count filter by tag

https://gerrit.wikimedia.org/r/607776

Change 607776 merged by jenkins-bot:
[mediawiki/core@master] REST /me/contributions/count filter by tag

https://gerrit.wikimedia.org/r/607776

Naike changed the task status from Open to Stalled.Aug 4 2020, 9:56 AM
Naike added subscribers: apaskulin, Naike.
Naike reassigned this task from EvanProdromou to eprodromou.
Naike added a subscriber: EvanProdromou.

Docs for this change have been reviewed and are ready to be published when this endpoint goes into v1.

apaskulin changed the task status from Stalled to Open.Aug 17 2020, 9:27 PM
eprodromou closed this task as Resolved.Sep 16 2020, 2:59 PM